WARNQUOTA(8)

NAZWA
warnquota - wysyła mail do użytkowników z przekroczoną kwotą dysku

SKŁADNIA
warnquota [ -ugsid ] [ -F format_kwoty ] [ -q plik_quotatab ] [ -c plik_konfig ] [ -a plik_admin ] [ system_plików... ]

OPIS
warnquota sprawdza kwoty dyskowe określonego lokalnego systemu plików (lub dla każdego lokalnego systemu plików jeśli nie podano żadnego) i wysyła ostrzeżenia do tych użytkowników, którzy osiągnęli miękki limit kwot. Zazwyczaj jest uruchamiana przez cron(8).

-F, --format=format_kwoty
    Wymusza ustawienie podanego formatu (tj. nie przeprowadza automatycznego wykrywania formatu). Możliwe nazwy formatów to: vfsold — oryginalny format kwoty z 16-bitowymi identyfikatorami użytkownika i grupy; vfsv0 — format kwoty z 32-bitowymi identyfikatorami użytkownika i grupy, 32-bitowymi polami użycia i-węzłów i limitami; vfsv1 — format kwoty z 64-bitowymi polami limitów i użycia; xfs — kwoty w systemie plików XFS.

-q, --quota-tab=plik_quotatab
    Use quotatab instead of /etc/quotatab as file with device description strings (see quotatab(5) for syntax).

-c, --config=plik_konfig
    Use configfile instead of /etc/warnquota.conf as configuration file (see warnquota.conf(5) for syntax).

-a, --admins-file=plik_admin
    Use adminsfile instead of /etc/quotagrpadmins as a file with administrators of the groups (see quotagrpadmins(5) for syntax).

-u, --user
    Sprawdza, czy użytkownicy nie przekraczają kwot (domyślnie).

-g, --group
    Sprawdza, czy grupy nie przekraczają kwot. Jeżeli grupa przekracza kwotę, to jest wysyłany mail do użytkownika podanego w /etc/quotagrpadmins.

-s, --human-readable[=jednostki]
    Try to report used space, number of used inodes and limits in more appropriate units than the default ones. Units can be also specified explicitely by an optional argument in format [ kgt ],[ kgt ] where the first character specifies space units and the second character specifies inode units.

-i, --no-autofs
    Ignoruje punkty zamontowane przez automountera.

-d, --no-details
    Nie dołącza raportu kwot do e-mailu.

PLIKI
aquota.user
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/warnquota.conf
    plik konfiguracyjny
/etc/quotatab
    opis urządzenia
/etc/quotagrpadmins
    administratorzy grup
/etc/mtab
    domyślne systemy plików
/etc/passwd
    domyślny zbiór użytkowników

ZOBACZ TAKŻE
quota(1), quotatab(5), quotagrpadmins(5), warnquota.conf(5), cron(8), edquota(8).

AUTORZY
warnquota(8) napisał Marco van Wieringen <mvw@planets.elm.net>, modyfikował Jan Kara <jack@suse.cz>. Tę stronę podręcznika napisał Heiko Schlittermann <heiko@lotte.sax.de>, modyfikował Jan Kara.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.